#ifndef TREESEARCH_H
#define TREESEARCH_H

#include <QObject>
#include "../QtBoard/Board.h"

class TreeSearch : public QObject
{
	Q_OBJECT

public:
	TreeSearch(QObject *parent = 0);
	~TreeSearch();

public:
	const QList<Move>	moves() const { return m_mvs; }

public:
	void	setBoard(const Board &);

public slots:
	void	doSearch(/*bool blackTurn, int type, int d1, int d2*/);

signals:
	void	searchFinished(double);

//private:
public:
	Board		m_board;
	bool		m_blackTurn;
	int			m_searchType;
	int			m_d1;
	int			m_d2;
	QList<Move>	m_mvs;
};

#endif // TREESEARCH_H
